diff options
| author | Gavin Andresen <[email protected]> | 2014-08-19 13:47:37 -0400 |
|---|---|---|
| committer | Gavin Andresen <[email protected]> | 2014-08-19 13:47:37 -0400 |
| commit | c53b1ece1b0644bd9620773eea3757bf939a678f (patch) | |
| tree | 58d68e5013f6b6b7c736a3a8dfbaeef1a8468c00 /contrib | |
| parent | Merge pull request #4717 from cozz/cozz8 (diff) | |
| download | discoin-c53b1ece1b0644bd9620773eea3757bf939a678f.tar.xz discoin-c53b1ece1b0644bd9620773eea3757bf939a678f.zip | |
Fix github-merge with git version 2.1.0
Running git version 2.1.0 on OSX (homebrew), I get
fatal: '1q': not a non-negative integer
I'm guessing git command-line parsing got more strict recently?
Diffstat (limited to 'contrib')
| -rwxr-xr-x | contrib/devtools/github-merge.sh | 4 |
1 files changed, 2 insertions, 2 deletions
diff --git a/contrib/devtools/github-merge.sh b/contrib/devtools/github-merge.sh index e42b71a54..3217a0619 100755 --- a/contrib/devtools/github-merge.sh +++ b/contrib/devtools/github-merge.sh @@ -49,11 +49,11 @@ fi # Initialize source branches. git checkout -q "$BRANCH" if git fetch -q "$HOST":"$REPO" "+refs/pull/$PULL/*:refs/heads/pull/$PULL/*"; then - if ! git log -1q "refs/heads/pull/$PULL/head" >/dev/null 2>&1; then + if ! git log -q -1 "refs/heads/pull/$PULL/head" >/dev/null 2>&1; then echo "ERROR: Cannot find head of pull request #$PULL on $HOST:$REPO." >&2 exit 3 fi - if ! git log -1q "refs/heads/pull/$PULL/merge" >/dev/null 2>&1; then + if ! git log -q -1 "refs/heads/pull/$PULL/merge" >/dev/null 2>&1; then echo "ERROR: Cannot find merge of pull request #$PULL on $HOST:$REPO." >&2 exit 3 fi |